Subject: bug#33858: closed (Re: bug#33858: 26.1; Scrolling up fails)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Aug 2020 10:01:03 +0000

Your bug report

#33858: 26.1; Scrolling up fails

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33858: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33858
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33858: 26.1; Scrolling up fails
From: Stefan Kangas <[email-masked]>
To: Andrew Kurn <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Aug 2020 09:59:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

[Please include the bug address in Cc when replying to Emacs bug
 reports.]

Andrew Kurn <[email-masked]> writes:

> Can't reproduce with current version, so go ahead and close it.

Thank you, I'm therefore closing this bug now.

Best regards,
Stefan Kangas

Subject: 26.1; Scrolling up fails
From: Andrew Kurn <[email-masked]>
To: [email-masked]
Date: Mon, 24 Dec 2018 05:59:46 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

--text follows this line--

Dear Bug-Hunters,

Here's a holiday treat for you:  a weird bug.

Here's the bug:  When I scroll up (using my own function
a-unscroll (q.v.)) and when point is about to scroll down
off the bottom of the screen, the scroll action fails, and
the line with point is repositioned to scroll-step lines
above the bottom of the screen.

This bug does not appear with emacs -Q.

I have whittled down my init file to see which statement
triggers the bug.  Here is the shortest one for which the
but appears:

--

(global-set-key [(f12)] 'a-scroll)
(global-set-key [(shift f12)] 'a-unscroll)
(defun a-scroll (p) "Scroll this window up (fd) one line."
  (interactive "p")
  (let (( scroll-preserve-screen-position nil))
    (scroll-up p)))
(defun a-unscroll (p) "Scroll this window down (back) one line."
  (interactive "p")
  (let (( scroll-preserve-screen-position nil))
    (scroll-up (- p))))

(setq scroll-step 3)
(setq next-line-add-newlines nil)
(setq make-backup-files nil)
(setq auto-save-timeout 300)
(setq auto-save-interval 3000)
(setq track-eol t)
(setq line-move-visual nil)
(setq scroll-preserve-screen-position t)
(setq c-tab-always-indent nil)
;;(setq printer-name "//earth/hp pcl 6")
;;(setq ps-printer-name printer-name)

(setq-default case-fold-search nil)
(setq scroll-bar-adjust-thumb-portion nil)
(add-to-list 'default-frame-alist
	     '(font . "Nimbus Mono-13:bold"))

--

If I remove the add-to-list, the bug goes away.

Weird, eh?

Also, if I say emacs -Q and then eval-buffer, no bug.

Happy hunting,
Andrew

In GNU Emacs 26.1 (build 1, x86_64-apple-darwin14.5.0, NS appkit-1348.17 Version 10.10.5 (Build 14F2511))
 of 2018-05-30 built on builder10-10.porkrind.org
Windowing system distributor 'Apple', version 10.3.1504
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set [18 times]
Type C-x 1 to remove help window.  
<f8> is undefined
Type "q" in help window to restore its previous buffer.

Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_CA.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Apropos

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
mml-sec password-cache epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils cl-extra find-func help-fns radix-tree
help-mode easymenu cl-loaddefs cl-lib apropos elec-pair time-date
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 209489 10151)
 (symbols 48 20357 1)
 (miscs 40 98 391)
 (strings 32 30012 1732)
 (string-bytes 1 795185)
 (vectors 16 35569)
 (vector-slots 8 728678 11704)
 (floats 8 53 174)
 (intervals 56 581 0)
 (buffers 992 15))